mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.IDeserializationCallback System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

ASN.1 DER is the only certificate format supported by this class.

For most scenarios, you should use the class instead.

Provides methods that help you use X.509 v.3 certificates.

- Constructor
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class defined from a sequence of bytes representing an X.509v3 certificate.

  A byte array containing data from an X.509 certificate.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor creates a new object using a handle for the Microsoft Cryptographic API certificate context, PCCERT_CONTEXT.

  This constructor creates a copy of the certificate context. Do not assume that the context structure you passed to the constructor is valid; it may have been released. You can get a copy of the current PCCERT_CONTEXT structure from the property, but it is valid only during the lifetime of the object.

  Initializes a new instance of the class using a handle to an unmanaged PCCERT_CONTEXT structure.

  A handle to an unmanaged PCCERT_CONTEXT structure.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class.

  Initializes a new instance of the class using another class.

  A class from which to initialize this class.
- Constructor
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using the name of a PKCS7 signed file.

  The name of a PKCS7 signed file.
- Constructor
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using a byte array and a password.

  A byte array that contains data from an X.509 certificate.
  The password required to access the X.509 certificate data.
- Constructor
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using a byte array and a password.

  A byte array containing data from an X.509 certificate.
  The password required to access the X.509 certificate data.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a object and a structure.

  A object that describes serialization information.
  A structure that describes how serialization should be performed.
- Constructor
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class. Calling this constructor with the correct password decrypts the private key and saves it to a key container.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using a certificate file name and a password.

  The name of a certificate file.
  The password required to access the X.509 certificate data.
- Constructor
  2.0.0.0
  4.0.0.0

  ASN.1 DER is the only certificate format supported by this class. Calling this constructor with the correct password decrypts the private key and saves it to a key container.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using the name of a PKCS7 signed file and a password to access the certificate.

  The name of a PKCS7 signed file.
  The password required to access the X.509 certificate data.
- Constructor
  2.0.0.0
  4.0.0.0

  Calling this constructor with the correct password decrypts the private key and saves it to a Microsoft Cryptographic API Cryptographic Service Provider (CSP).

  ASN.1 DER is the only certificate format supported by this class.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using a byte array, a password, and a key storage flag.

  A byte array that contains data from an X.509 certificate.
  The password required to access the X.509 certificate data.
  A bitwise combination of the enumeration values that control where and how to import the certificate.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a new object using a byte array, a password that is needed to access the certificate data, and a key storage flag. Calling this constructor with the correct password decrypts the private key and saves it to a Microsoft Cryptographic API Cryptographic Service Provider (CSP).

  The value can be used to control where and how the private key is imported.

  ASN.1 DER is the only certificate format supported by this class.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using a byte array, a password, and a key storage flag.

  A byte array containing data from an X.509 certificate.
  The password required to access the X.509 certificate data.
  A bitwise combination of the enumeration values that control where and how to import the certificate.
- Constructor
  2.0.0.0
  4.0.0.0

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using a certificate file name, a password, and a key storage flag.

  The name of a certificate file.
  The password required to access the X.509 certificate data.
  A bitwise combination of the enumeration values that control where and how to import the certificate.
- Constructor
  2.0.0.0
  4.0.0.0

  If you create an certificate by specifying a PKCS7 signed file store for , the is created for the certificate that signed the store rather than for any of the certificates within the store.

  Initializes a new instance of the class using the name of a PKCS7 signed file, a password to access the certificate, and a key storage flag.

  The name of a PKCS7 signed file.
  The password required to access the X.509 certificate data.
  A bitwise combination of the enumeration values that control where and how to import the certificate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate ``

  ASN.1 DER is the only certificate format supported by this class.

  The certificate file is not restricted to .cer files. Any PKCS7 signed file can be used, including an Authenticode signed .pfx file.

  Creates an X.509v3 certificate from the specified PKCS7 signed file.

  The newly created X.509 certificate.

  The path of the PKCS7 signed file from which to create the X.509 certificate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate ``

  ASN.1 DER is the only certificate format supported by this class.

  Creates an X.509v3 certificate from the specified signed file.

  The newly created X.509 certificate.

  The path of the signed file from which to create the X.509 certificate.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean ``

  Two objects are considered equal if they are objects and they have the same issuer and serial number.

  Compares two objects for equality.

  true if the current object is equal to the object specified by the parameter; otherwise, false.

  An object to compare to the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two objects are considered equal if they have the same issuer and serial number.

  Compares two objects for equality.

  true if the current object is equal to the object specified by the parameter; otherwise, false.

  An object to compare to the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Byte[] ``

  The parameter accepts only the following values of the enumeration: , , and . Passing any other value causes a to be thrown.

  Exports the current object to a byte array in a format described by one of the values.

  An array of bytes that represents the current object.

  One of the values that describes how to format the output data.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] `` ``

  The parameter accepts only the following values of the enumeration: , , and . Passing any other value causes a to be thrown.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  Exports the current object to a byte array using the specified format and a password.

  A byte array that represents the current object.

  One of the values that describes how to format the output data. The password required to access the X.509 certificate data.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Byte[] `` ``

  The parameter accepts only the following values of the enumeration: , , and . Passing any other value causes a to be thrown.

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  Exports the current object to a byte array in a format described by one of the values, and using the specified password.

  An array of bytes that represents the current object.

  One of the values that describes how to format the output data. The password required to access the X.509 certificate data.
- Method
  4.0.0.0
  System.String ``

  Some cultures cannot convert future dates into strings. If the expiration date of an X.509 certificate is beyond the range of the culture, falls back to a calendar that can express the date. If the value is , the calendar is changed to the class; otherwise, it is changed to the .

  Converts the specified date and time to a string.

  A string representation of the value of the object.

  The date and time to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] This is similar to the thumbprint used in many certificate viewers.

  Returns the hash value for the X.509v3 certificate as an array of bytes.

  The hash value for the X.509 certificate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String This is similar to the thumbprint used in many certificate viewers.

  Returns the SHA1 hash value for the X.509v3 certificate as a hexadecimal string.

  The hexadecimal string representation of the X.509 certificate hash value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The effective date is the date after which the X.509 certificate is considered valid.

  The method returns a string that shows the date formatted in Short Date Pattern followed by the time formatted in Long Time Pattern. The date and time are formatted using the current culture and time zone.

  Returns the effective date of this X.509v3 certificate.

  The effective date for this X.509 certificate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The expiration date is the date after which the X.509 certificate is no longer considered valid.

  The method returns a string that shows the date formatted in Short Date Pattern followed by the time formatted in Long Time Pattern. The date and time are formatted using the current culture and time zone.

  This method may return a different string format on Macintosh computers, although the underlying object will represent the same value.

  Returns the expiration date of this X.509v3 certificate.

  The expiration date for this X.509 certificate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The format X.509 is always returned in this implementation.

  Returns the name of the format of this X.509v3 certificate.

  The format of this X.509 certificate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  If the X.509 certificate hash is an array of more than 4 bytes, any byte after the fourth byte is not seen in this integer representation.

  Returns the hash code for the X.509v3 certificate as an integer.

  The hash code for the X.509 certificate as an integer.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use the Issuer property.")
  System.String To be added

  Returns the name of the certification authority that issued the X.509v3 certificate.

  The name of the certification authority that issued the X.509 certificate.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns the key algorithm information for this X.509v3 certificate as a string.

  The key algorithm information for this X.509 certificate as a string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the key algorithm parameters for the X.509v3 certificate as an array of bytes.

  The key algorithm parameters for the X.509 certificate as an array of bytes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns the key algorithm parameters for the X.509v3 certificate as a hexadecimal string.

  The key algorithm parameters for the X.509 certificate as a hexadecimal string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use the Subject property.")
  System.String To be added

  Returns the name of the principal to which the certificate was issued.

  The name of the principal to which the certificate was issued.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the public key for the X.509v3 certificate as an array of bytes.

  The public key for the X.509 certificate as an array of bytes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns the public key for the X.509v3 certificate as a hexadecimal string.

  The public key for the X.509 certificate as a hexadecimal string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the raw data for the entire X.509v3 certificate as an array of bytes.

  A byte array containing the X.509 certificate data.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns the raw data for the entire X.509v3 certificate as a hexadecimal string.

  The X.509 certificate data as a hexadecimal string.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Returns the serial number of the X.509v3 certificate as an array of bytes.

  The serial number of the X.509 certificate as an array of bytes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns the serial number of the X.509v3 certificate as a hexadecimal string.

  The serial number of the X.509 certificate as a hexadecimal string.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.IntPtr To be added.

  The handle is valid only for the lifetime of the object.

  Gets a handle to a Microsoft Cryptographic API certificate context described by an unmanaged PCCERT_CONTEXT structure.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void ``

  This method can be used to take the raw byte array of an X.509 certificate and populate the object with its associated values.

  Populates the object with data from a byte array.

  A byte array containing data from an X.509 certificate.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void ``

  This method uses a certificate file (such as a file with a .cer extension) that represents an X.509 certificate, and populates the object with the certificate that the file contains.

  Populates the object with information from a certificate file.

  The name of a certificate file represented as a string.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  Populates an object using data from a byte array, a password, and a key storage flag.

  A byte array that contains data from an X.509 certificate. The password required to access the X.509 certificate data. A bitwise combination of the enumeration values that control where and how to import the certificate.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` ``

  This method can be used to populate an object using a password for the certificate represented by the byte array. The value can be used to control where and how the private key is imported.

  Populates the object using data from a byte array, a password, and flags for determining how the private key is imported.

  A byte array containing data from an X.509 certificate. The password required to access the X.509 certificate data. A bitwise combination of the enumeration values that control where and how to import the certificate.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Never hard code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  Populates an object with information from a certificate file, a password, and a key storage flag.

  The name of a certificate file. The password required to access the X.509 certificate data. A bitwise combination of the enumeration values that control where and how to import the certificate.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` ``

  Never hard-code a password within your source code. Hard-coded passwords can be retrieved from an assembly using the MSIL Disassembler (Ildasm.exe), a hex editor, or by simply opening the assembly in a text editor such as Notepad.exe.

  Populates the object with information from a certificate file, a password, and a value.

  The name of a certificate file represented as a string. The password required to access the X.509 certificate data. A bitwise combination of the enumeration values that control where and how to import the certificate.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the certificate authority that issued the X.509v3 certificate.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void

  Use the method to reset the state of the certificate. This method also frees any resources associated with the certificate.

  Resets the state of the object.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the subject distinguished name from the certificate.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Implements the interface and is called back by the deserialization event when deserialization is complete.

  The source of the deserialization event.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Gets serialization information with all the data needed to recreate an instance of the current object.

  The object to populate with serialization information. The destination context of the serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String This is just a call to .

  Returns a string representation of the current object.

  A string representation of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` Useful for debugging purpose only. The format of the string will change in future versions of the framework.

  Returns a string representation of the current object, with extra information, if specified.

  A string representation of the current object.

  true to produce the verbose form of the string representation; otherwise, false.